%define name 	liquidwar
%define version	5.4.2
%define release 3mdk

Summary:	Liquid War is a unique multiplayer wargame
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Games/Other
Source: 	http://prdownloads.sourceforge.net/liquidwar/%{name}-%{version}.tar.bz2
URL: 		http://www.ufoot.org/liquidwar/
BuildRequires:	allegro-devel
BuildRoot: 	%{_tmppath}/%name-root
%description

Liquid War is a wargame. But it is different from common wargames.

When playing Liquid War, one has to eat one's opponent. There can be from 
2 to 6 players. There are no weapons, the only thing you have to do is to 
move a cursor in a 2-D battlefield. This cursor is followed by your army, 
which is composed by a great many little fighters. Fighters are represented 
by small colored squares. All the fighters who have the same color belong 
to the same team. One very often controls several thousands fighters at the 
same time. And when fighters from different teams meet, they eat each 
other, it is as simple as that.


%prep
%setup -q

%build
autoconf
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
perl -pi -e 's#install_custom_texture install_icon install_gpl#install_custom_texture #' makefile
%makeinstall
mkdir $RPM_BUILD_ROOT/%_datadir/%name
mv $RPM_BUILD_ROOT/%_datadir/liquidwar.dat $RPM_BUILD_ROOT/%_datadir/%name

#mkdir -p $RPM_BUILD_ROOT%{_menudir}
#cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
#?package(%{name}):command="tuxracer" \
#		  icon=%{name}.xpm \
#		  needs="x11" \
#		  section="Amusement/Sports" \
#		  title="Tuxracer"\
#		  longtitle="A great racing game starring Tux"
#EOF

#mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
#install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
#install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
#install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%files
%defattr(-,root,root)
%{_bindir}/*
%doc COPYING README
%_datadir/*

%changelog
* Tue Oct 16 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.2-3mdk
- rebuild
- rpmlint happier

* Thu Oct  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 5.4.2-2mdk
- rebuild with current liballeg

* Mon Aug 20 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.2-1mdk
- version 5.4.2

* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-2mdk
- i suck

* Tue Jul 10 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-1mdk
- first mandrake version (games found by our pambon)
